# $Id: xmms-mp3.spec,v 1.2 2003/05/08 22:18:51 dude Exp $

%define xmmsepoch    1
%define xmmsinputdir %(xmms-config --input-plugin-dir)

# Add configure option if recompiled for athlon
%ifarch athlon
        %{expand:%%define athlon --enable-3dnow}
%endif

Summary: XMMS plugin for mp3 playback.
Name: xmms-mp3
Version: 1.2.7
Release: 21.p.fr1
Epoch: %{xmmsepoch}
License: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source0: http://www.xmms.org/files/1.2.x/%{name}-%{version}.tar.bz2
# This script may not work.
Source1: doxmmsmp3.sh
# Requires patch for NPTL enabled kernels (Red Hat Linux 9)
Patch: xmms-mp3-nptl.patch
Requires: xmms = %{xmmsepoch}:%{version}
BuildRequires: xmms-devel, gtk+-devel
BuildRequires: /usr/bin/automake-1.4 /usr/bin/autoconf-2.13
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is the mp3 plugin for XMMS that was removed from Red Hat Linux because
the patented mp3 format itself is theoretically GPL incompatible.

%prep
%setup -q 
%patch -p2 -b .nptl

%build
automake-1.4 -a
autoconf-2.13
%configure --enable-texthack %{?athlon}
OLD_PO_FILE_INPUT=yes make -C mpg123  %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install -C mpg123 DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%{xmmsinputdir}/libmpg123.so
%exclude %{xmmsinputdir}/libmpg123.la

%changelog
* Thu May  8 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild this xmms-mp3 package instead of a whole patched xmms one.
- Removed unuseful ldconfig calls.
- Now use %%{xmmsinputdir}.
- Other minor spec tweaks and cosmetic changes.

* Sun Mar 30 2003 Dams <anvil[AT]livna.org> 0.fdr.3
- Added Epoch
- NPTL Patch applied even if we're on rh8

* Sun Mar 30 2003 Dams <anvil[AT]livna.org>
- Fixed typo in name of the patch.
- Included script to extract sources from xmms tarball

* Wed Feb 19 2003 Dams <anvil[AT]livna.org> 
- Added 3dnow! support when target is athlon

* Tue Feb 18 2003 Dams <anvil[AT]livna.org> 
- Based on the xmms 1.2.7-19.p spec file.

